Package org.springframework.beans.factory.aot

# Interface BeanRegistrationsCode

public interface BeanRegistrationsCode
Interface that can be used to configure the code that will be generated to register beans.

Since:
  6.0
Author:
  Phillip Webb

## Method Summary

Modifier and Type
Method
Description
`org.springframework.javapoet.ClassName`
`getClassName()`
Return the name of the class being used for registrations.
`org.springframework.aot.generate.GeneratedMethods`
`getMethods()`
Return a `GeneratedMethods` being used by the registrations code.

## Method Details

### getClassName

org.springframework.javapoet.ClassName getClassName()
Return the name of the class being used for registrations.

Returns:
  the generated class name.

### getMethods

org.springframework.aot.generate.GeneratedMethods getMethods()
Return a `GeneratedMethods` being used by the registrations code.

Returns:
  the method generator